package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ClassGroup;
import com.ym.mec.biz.dal.entity.ClassGroupTeacherMapper;
import com.ym.mec.biz.dal.entity.ClassGroupTeacherSalary;

import java.util.List;

/**
 * 班级老师
 */
public class ClassGroupTeachersDto extends ClassGroup {

	/** 班级老师 **/
	private List<ClassGroupTeacherMapper> classGroupTeacherMapperList;

	/** 班级老师课酬 */
	private List<ClassGroupTeacherSalary> classGroupTeacherSalaryList;

	//合奏班名称
	private String mixClassName;

	//合奏班编号
	private Integer mixClassId;

	public String getMixClassName() {
		return mixClassName;
	}

	public void setMixClassName(String mixClassName) {
		this.mixClassName = mixClassName;
	}

	public Integer getMixClassId() {
		return mixClassId;
	}

	public void setMixClassId(Integer mixClassId) {
		this.mixClassId = mixClassId;
	}

	public List<ClassGroupTeacherMapper> getClassGroupTeacherMapperList() {
		return classGroupTeacherMapperList;
	}

	public void setClassGroupTeacherMapperList(List<ClassGroupTeacherMapper> classGroupTeacherMapperList) {
		this.classGroupTeacherMapperList = classGroupTeacherMapperList;
	}

	public List<ClassGroupTeacherSalary> getClassGroupTeacherSalaryList() {
		return classGroupTeacherSalaryList;
	}

	public void setClassGroupTeacherSalaryList(List<ClassGroupTeacherSalary> classGroupTeacherSalaryList) {
		this.classGroupTeacherSalaryList = classGroupTeacherSalaryList;
	}
}
